
From: Dipankar Sarma <dipankar@in.ibm.com>

Change the fds[fd] != NULL check in fd_install() to be a BUG_ON.

Signed-off-by: Dipankar Sarma <dipankar@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/open.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN fs/open.c~files-files-struct-with-rcu-change-fd_install-assertion fs/open.c
--- 25/fs/open.c~files-files-struct-with-rcu-change-fd_install-assertion	2005-06-24 22:51:51.000000000 -0700
+++ 25-akpm/fs/open.c	2005-06-24 22:51:51.000000000 -0700
@@ -931,8 +931,7 @@ void fastcall fd_install(unsigned int fd
 	struct fdtable *fdt;
 	spin_lock(&files->file_lock);
 	fdt = files_fdtable(files);
-	if (unlikely(fdt->fd[fd] != NULL))
-		BUG();
+	BUG_ON(fdt->fd[fd] != NULL);
 	rcu_assign_pointer(fdt->fd[fd], file);
 	spin_unlock(&files->file_lock);
 }
_
